/* Text colors */
.text-red {
    color: #dd4b39 !important;
}

.text-yellow {
    color: #f39c12 !important;
}
.text-aqua {
    color: #00c0ef !important;
}
.text-blue {
    color: #0073b7 !important;
}
.text-black {
    color: #111111 !important;
}
.text-light-blue {
    color: #3c8dbc !important;
}
.text-green {
    color: #00a65a !important;
}
.text-green {
    color: #00a65a !important;
}
.text-gray {
    color: #d2d6de !important;
}
.text-navy {
    color: #001f3f !important;
}
.text-teal {
    color: #39cccc !important;
}
.text-olive {
    color: #3d9970 !important;
}
.text-lime {
    color: #01ff70 !important;
}
.text-orange {
    color: #ff851b !important;
}
.text-fuchsia {
    color: #f012be !important;
}
.text-purple {
    color: #605ca8 !important;
}
.text-maroon {
    color: #d81b60 !important;
}

.text-abbreviate {
    white-space: nowrap;
    width: 100%;                   /* IE6 needs any width */
    overflow: hidden;              /* "overflow" value must be different from  visible"*/
    -o-text-overflow: ellipsis;    /* Opera < 11*/
    text-overflow:    ellipsis;    /* IE, Safari (WebKit), Opera >= 11, FF > 6 */
}

.modal.modal-wide .modal-dialog {
    width: 80%;
}

.modal.modal-widest .modal-dialog {
    width: 95%;
}


.modal.modal-full .modal-dialog {
    width: 98%;
}

.mailbox-attachment-icon {
    font-size: 42px;
    padding: 0px;
}

.mt-company-status-level-member {
    background-color: #90ee90 !important;
}
.mt-company-status-level-silver {
    background-color: #c0c0c0 !important;
}
.mt-company-status-level-gold {
    background-color: #daa520 !important;
}
.mt-company-status-level-onyx {
    background-color: black !important;
    color: #ffffff !important;
}

.mt-company-status-level-basic {
    background-color: #990000 !important;
    color: #ffffff !important;
}

.mt-white-space-pre {
    white-space: pre-wrap; /* converts \n to <br/> rendering */
}


.price-block:before,
.price-block:after {
    content: " ";
    display: table;
}
.price-block:after {
    clear: both;
}
.price-block img {
    height: 35px;
    float: left;
}
.price-block .name,
.price-block .description,
.price-block .comment {
    display: block;
    margin-left: 50px;
}
.price-block .name {
    font-size: 16px;
    font-weight: 600;
}
.price-block .description {
    color: #999;
    font-size: 13px;
}
.price-block.price-block-sm .username,
.price-block.price-block-sm .description,
.price-block.price-block-sm .comment {
    margin-left: 40px;
}
.price-block.price-block-sm .username {
    font-size: 14px;
}
.price-block.price-block-sm img {
    float: left;
}
/* Helpers for themes in quote */
.box.box-black {
    border-top-color: #0C0C0C;
}
.box.box-red {
    border-top-color: #dd4b39;
}
.box.box-blue {
    border-top-color: #00a65a;
}

.mt-disabled  {
    background-color:#eeeeee !important;
}

.mt-nowrap {
    white-space: nowrap;
}

.mt-lock {
    color: #dd4b39 !important;
}

/*For e-ticket canned response html preview*/
.tooltip.mt-preview-html-tooltip .tooltip-inner {
    max-width: 950px !important;
    background-color: #f5f5f5;
    border: 2px solid black;
    color: #000000;
}

/*
TODO tpthaler LOW: Clean this up to use mt-bg etc... Need to update js/db to use full class name vs appending 'bg' in the javascript

 */
.bg-mt-consolidator {
    background-color: #cb00be !important;
    color: #fff !important;
}

.mt-fa-consolidator:before {
    content: "\f135";/* rocket */
    color: #cb00be !important;
}

.bg-mt-ndc {
    background-color: #288186 !important;
    color: #fff !important;
}

.mt-fa-ndc:before {
    content: "\f1d8";/*paper airplane */
    color: #288186 !important;
}

.bg-mt-ndc_commissionable {
    background-color: #663c99 !important;
    color: #fff !important;
}

.mt-fa-ndc_commissionable:before {
    content: "\f155";/* dollar-sign */
    color: #663c99 !important;
}


.mt-fa-published:before {
    content: "\f072";/* plane */
    color: #f39c12 !important;
}

.bg-mt-published {
    background-color: #f39c12 !important;
    color: #fff !important;
}

.mt-fa-commissionable:before {
    content: "\f155";/* dollar-sign */
    color: #00a65a !important;
}

.bg-mt-commissionable {
    background-color: #00a65a !important;
    color: #fff !important;
}


.mt-fa-cruise:before {
    content: "\f13d";/* anchor */
    color: #0073b7 !important;
}

.bg-mt-cruise {
    background-color: #0073b7 !important;
    color: #fff !important;
}

.mt-fa-student:before {
    content: "\f19d";/* graduation */
}

.bg-mt-student {
    background-color: #000000 !important;
    color: #fff !important;
}

.mt-fa-tour:before {
    content: "\f185";/* sun */
}

.bg-mt-tour {
    background-color: #000000 !important;
    color: #fff !important;
}

.mt-fa-humanitarian:before {
    content: "\f0fe";/* plus */
    color: #dd4b39 !important;
}

.bg-mt-humanitarian {
    background-color: #dd4b39 !important;
    color: #fff !important;
}


.mt-category-count {
    background-color: #1074B5;
    font-size: .9em;
}

.mt-category-count-0 {
    background-color: #000000;
    font-size: .9em;
}

.mt-subcategory-count {
    background-color: #538CB8;
}


.mt-filtered-category-count {
    background-color: #428A52;
    font-size: .9em;
}

.mt-filtered-subcategory-count {
    background-color: #428A52;
}

.mt-filter-only {
    color: #dd4b39;
    font-weight: bold;
}

.mt-filter-only:hover {
    color: #983428;
}

.mt-misc-exclude-from-agent-total-due {
    background-color: #cccccc !important;
}

.clipboard {
    cursor:copy;
}

.cursor-pointer {
    cursor:pointer
}

.test-dt-row {
    font-weight: 600;
}
.mt-bold {
    font-weight: bold;
}

.mt-semi-bold {
    font-weight: 600;
}
/*
NEEDED FOR SELECT2 BOOTSTRAP BUTTON ADDON

 */

.btn-file {
    overflow: hidden;
    border-radius: 0 !important;
}
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100px;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    background: red;
    cursor: inherit;
    display: block;
}

.btn-file input[readonly] {
    background-color: white !important;
    cursor: text !important;
}
.text-file {
    float: right !important;
    width: 100% !important;
}

.mt-highlight-on-hover:hover {
    background-color: #FFFFE0;
}


.mt-misc-consolidator-total {
    background-color: #E2E4EA !important;
    border-bottom: 2px solid #B5BBC8;

}
.mt-misc-agent-total {
    background-color: #E2E4EA !important;
    border-bottom: 2px solid #B5BBC8;
}
.mt-misc-airline-total {
    background-color: #E2E4EA !important;
    border-bottom: 2px solid #B5BBC8;
}

.mt-date-range-clear-button {
    color: #ffffff;
    background-color: #f49b95;
}

.mt-btn-pink, .mt-btn-pink:hover, .mt-btn-pink:focus {
    color: #ffffff;
    background-color: #f49b95;
}

.mt-btn-black, .mt-btn-black:hover, .mt-btn-black:focus {
    color: #ffffff;
    background-color: #333;
}

.mt-btn-blue, .mt-btn-blue:hover, .mt-btn-blue:focus{
    color: #ffffff;
    background-color: #3c8dbc;
}

.mt-btn-red, .mt-btn-red:hover, .mt-btn-red:focus {
    color: #ffffff;
    background-color: #dd4b39;
}

/*
SWEET ALERT STYLES

Note: !important needed because sweet alert uses style attribute to style the container.
 */
.swal-url {
    width: 80% !important;
    min-width:700px !important;
}

/*
SUMMERNOTE STYLES.
 */
.note-editor .note-editable p {
    margin-bottom: 0;
}